import request from '@/utils/request'

// 查询留言管理信息列表
export function listMessageManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.messageManagement',
      _mt: 'list',
      ...query
    }
  })
}

// 查询留言管理信息详细
export function getMessageManagement(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.messageManagement',
      _mt: 'get',
      id: id
    }
  })
}

// 新增留言管理信息
export function addMessageManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.messageManagement',
      _mt: 'add',
      messageManagement: data
    }
  })
}

// 修改留言管理信息
export function updateMessageManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.messageManagement',
      _mt: 'update',
      messageManagement: data
    }
  })
}

// 删除留言管理信息
export function delMessageManagement(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.messageManagement',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出留言管理信息
export function exportMessageManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.messageManagement',
      _mt: 'export',
      ...query
    }
  })
}
